IMG_LoadWEBPAnimation_IO(3)

NAME
IMG_LoadWEBPAnimation_IO - Load a WEBP animation directly.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

IMG_Animation * IMG_LoadWEBPAnimation_IO(SDL_IOStream *src);

DESCRIPTION
If you know you definitely have a WEBP image, you can call this function, which will skip SDL_image's file format detection routines. Generally it's better to use the abstract interfaces; also, there is only an SDL_IOStream interface available here.

FUNCTION PARAMETERS

src an SDL_IOStream that data will be read from.

RETURN VALUE
Returns a new IMG_Animation, or NULL on error.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_isWEBP(3), IMG_LoadAnimation(3), IMG_LoadAnimation_IO(3), IMG_LoadAnimationTyped_IO(3), IMG_LoadANIAnimation_IO(3), IMG_LoadAPNGAnimation_IO(3), IMG_LoadAVIFAnimation_IO(3), IMG_LoadGIFAnimation_IO(3), IMG_FreeAnimation(3)